# Delete a Shared Custom Field

DELETE https://api.close.com/api/v1/custom_field/shared/{id}/

Delete a shared custom field and all its associations. The field will immediately disappear from API responses and values on all associated object types will be permanently removed.

Reference: https://developer.close.com/api/resources/custom-fields/custom-fields-shared/delete

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Close API
  version: 1.0.0
paths:
  /custom_field/shared/{id}/:
    delete:
      operationId: delete
      summary: Delete a Shared Custom Field
      description: >-
        Delete a shared custom field and all its associations. The field will
        immediately disappear from API responses and values on all associated
        object types will be permanently removed.
      tags:
        - subpackage_customFieldsShared
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
        - name: Authorization
          in: header
          description: Basic authentication
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/custom_fields.shared_delete_Response_200'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                description: Any type
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                description: Any type
        '404':
          description: Not found
          content:
            application/json:
              schema:
                description: Any type
servers:
  - url: https://api.close.com/api/v1
components:
  schemas:
    custom_fields.shared_delete_Response_200:
      type: object
      properties: {}
      description: Empty response body
      title: custom_fields.shared_delete_Response_200
  securitySchemes:
    ApiKeyAuth:
      type: http
      scheme: basic
    OAuth2:
      type: http
      scheme: bearer

```